Page 1 of 2 12 LastLast
Results 1 to 10 of 18
  1. #1
    Join Date
    May 2006
    Location
    Gardiner, Maine
    Posts
    2,082
    Plugin Contributions
    22

    Default upgrade to 1.5.6c will not run

    Changed the php level to 7.3, the installer starts - tells me the config file needs updating but never goes further - just redraws the same screen.

    I'm pretty sure we have an alternate way of dealing with this since they are changing hosts but in the meantime, what is happening? I've never seen this before. I checked the config files permissions just in case and they are 644.

    and no, there are no error logs - plenty of logs from the install start as I've tried to run it multiple times. Last entry in all those files is ---------------
    Feb 20 2020 18:16 -- checkHtaccessSupport
    PASSED
    The full-time Zen Cart Guru. WizTech4ZC.com

  2. #2
    Join Date
    Jul 2012
    Posts
    14,860
    Plugin Contributions
    17

    Default Re: upgrade to 1.5.6c will not run

    Not sure which direction you want to go, update the site or solve the issue with the upgrade script in generating/recreating the configure.php files.

    Personally if having an issue with the upgrade process, would want to get the configure.php files addressed and then move on as permitted with the software.

    Two things seen, one is to possibly bump the php back down to maybe 7.1, the other is to use the dist-configure.php files, fill them in with the information from the existing files replace the existing configure.php files with the new ones and then go through the zc_install process...
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...
    Upgraded to Zen Cart V1.5.3 from V1.5.1 from V1.5.0 from V1.3.9h

  3. #3
    Join Date
    May 2006
    Location
    Gardiner, Maine
    Posts
    2,082
    Plugin Contributions
    22

    Default Re: upgrade to 1.5.6c will not run

    I want to know why it won't run. I can jump through all sorts of hoops (which I wasn't expecting and didn't charge my customer for) but I'm going for the easiest solution for my customer.

    But since I've never seen this happen before, my posting this is to figure out what happened to see if there is a resolution or known problem here for everyone else as well as my future upgrades. Bug vs php setup on that hosting vs 1.5.0 to 1.5.6c etc.
    The full-time Zen Cart Guru. WizTech4ZC.com

  4. #4
    Join Date
    Feb 2006
    Location
    Tampa Bay, Florida
    Posts
    6,830
    Plugin Contributions
    94

    Default Re: upgrade to 1.5.6c will not run

    Start with the dist-configure.php files from 1.5.6 and then set values as needed. If you try to "merge" into their existing configure file, you can miss something and wind up with problems like this. Just start again and go slowly and carefully line by line.
    That Software Guy, Plugin Moderator. Store: Zen Cart Modifications
    Available for hire - See my ad in Services
    Contributions: Quantity Discounts, Better Together, SMS on Sale, Gift Wrap at Checkout, and more.

  5. #5
    Join Date
    May 2006
    Location
    Gardiner, Maine
    Posts
    2,082
    Plugin Contributions
    22

    Default Re: upgrade to 1.5.6c will not run

    As I said, I can perform the work arounds. I want to know why this is happening.
    The full-time Zen Cart Guru. WizTech4ZC.com

  6. #6
    Join Date
    Jul 2012
    Posts
    14,860
    Plugin Contributions
    17

    Default Re: upgrade to 1.5.6c will not run

    Quote Originally Posted by delia View Post
    I want to know why it won't run. I can jump through all sorts of hoops (which I wasn't expecting and didn't charge my customer for) but I'm going for the easiest solution for my customer.But since I've never seen this happen before, my posting this is to figure out what happened to see if there is a resolution or known problem here for everyone else as well as my future upgrades. Bug vs php setup on that hosting vs 1.5.0 to 1.5.6c etc.
    Well, the recent installs/upgrades I've done with 1.5.6 have been at lower leveled php versions: 5.6-7.1 where things have gone well. There have been some issues brought forwards with at least the not yet released ZC 1.5.7 that have identified some issues when using php 7.3. I am thinking that the problem(s) in the configure.php file upgrade may not get logged in ZC logs, but would expect them to be in server logs.What if any information is in the configure.php files (both catalog and admin) that would not be expected for a new install of the same version (1.5.0)? Is there possibly something that isn't handled well?
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...
    Upgraded to Zen Cart V1.5.3 from V1.5.1 from V1.5.0 from V1.3.9h

  7. #7
    Join Date
    Feb 2006
    Location
    Tampa Bay, Florida
    Posts
    6,830
    Plugin Contributions
    94

    Default Re: upgrade to 1.5.6c will not run

    Because you missed something when you updated the configure.php file. I don't know what you missed, but you missed something. I have had this *exact* problem, and when I start from scratch with the dist-configure files, then update them slowly and carefully line by line, it works like a charm.
    That Software Guy, Plugin Moderator. Store: Zen Cart Modifications
    Available for hire - See my ad in Services
    Contributions: Quantity Discounts, Better Together, SMS on Sale, Gift Wrap at Checkout, and more.

  8. #8
    Join Date
    Jul 2012
    Posts
    14,860
    Plugin Contributions
    17

    Default Re: upgrade to 1.5.6c will not run

    Quote Originally Posted by swguy View Post
    Because you missed something when you updated the configure.php file. I don't know what you missed, but you missed something. I have had this *exact* problem, and when I start from scratch with the dist-configure files, then update them slowly and carefully line by line, it works like a charm.
    My understanding of the issue is that the installer is reporting that the configure.php files need to be updated and that when letting the installer do that upgrade (which I normally have it do) that the reported problem is occurring.

    Meaning that the original configure.php file was not touched in preparing the system for upgrade.

    Will have to see what is said about this to know.

    There also could be an "issue" with the server where it doesn't support generating the file using the process implemented by the installer which would necessitate manually preparing it... that's something yet to see as well.
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...
    Upgraded to Zen Cart V1.5.3 from V1.5.1 from V1.5.0 from V1.3.9h

  9. #9
    Join Date
    Jan 2004
    Location
    N of San Antonio TX
    Posts
    7,357
    Plugin Contributions
    8

    Default Re: upgrade to 1.5.6c will not run

    Curious as to whether or not you used https://www.zen-cart.com/entry.php?3...d-of-upgrading. Haven't experienced such with the doc's method.
    Did you read the posting tips?!?
    Responsive Color Changes for 155-156c demo here.
    Zen Cart PCI Compatible Hosting

  10. #10
    Join Date
    May 2006
    Location
    Gardiner, Maine
    Posts
    2,082
    Plugin Contributions
    22

    Default Re: upgrade to 1.5.6c will not run

    I started to say I haven't done anything to be able to miss anything and then I remembered. Finally got back to this and yes, it was my fault. I moved the config files and failed to change the path. Would have been nice to have gotten a message from the installer that something was awry but perhaps asking for backup for my screwups isn't enough to change the installer?

    Thanks so much guys!

    So in the end, I can say that if the installer won't allow the config file to be changed, check the paths!
    The full-time Zen Cart Guru. WizTech4ZC.com

 

 
Page 1 of 2 12 LastLast

Similar Threads

  1. Replies: 4
    Last Post: 5 Dec 2012, 01:45 AM
  2. v150 Problem using Teapplix - php file will not run in ZC admin folder
    By jfstanley in forum All Other Contributions/Addons
    Replies: 8
    Last Post: 20 Jul 2012, 09:25 AM
  3. Install file will not run
    By brush4hire in forum Installing on a Linux/Unix Server
    Replies: 17
    Last Post: 9 Jan 2010, 07:10 PM
  4. Db will not upgrade????
    By icu in forum Upgrading from 1.3.x to 1.3.9
    Replies: 2
    Last Post: 25 Dec 2008, 03:37 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
disjunctive-egg
Zen-Cart, Internet Selling Services, Klamath Falls, OR